package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.home.model.BannersModel

interface BannersInteractor {

    interface View {
        fun onGetBannersSucceed(bannersList: ArrayList<BannersModel>)
        fun onGetBannersFailed(error: VolleyError)
    }

    interface Presenter {
        fun onGetBanners()
    }
}